Batch Patch Location Resources
curl --request PATCH \
--url https://api.embedreach.com/api/resources/locations/batch \
--header 'Content-Type: application/json' \
--data '
{
"resources": [
{
"locationId": "<string>",
"name": "<string>",
"address": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>"
}
]
}
'import requests
url = "https://api.embedreach.com/api/resources/locations/batch"
payload = { "resources": [
{
"locationId": "<string>",
"name": "<string>",
"address": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
resources: [
{
locationId: '<string>',
name: '<string>',
address: '<string>',
address2: '<string>',
address3: '<string>',
city: '<string>',
state: '<string>',
zipCode: '<string>'
}
]
})
};
fetch('https://api.embedreach.com/api/resources/locations/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"batchId": "<string>",
"message": "<string>",
"recordCount": 123,
"schemaDefinitionId": "<string>"
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}{
"success": true,
"message": "<string>",
"data": {
"error": "<string>"
}
}Default Partner Resources
Batch Patch Location Resources
Patches multiple location resources in a single batch via the event processor for asynchronous processing.
PATCH
/
api
/
resources
/
locations
/
batch
Batch Patch Location Resources
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Query Parameters
Whether to allow extra fields that are not defined in the schema. If true, extra fields will be accepted but not saved. If false, requests with extra fields will be rejected.
Body
application/json
An array of partial location resources to patch
Show child attributes
Show child attributes
⌘I